> ## Documentation Index
> Fetch the complete documentation index at: https://cnaught.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

> This short tutorial will teach you the basics of making requests to the CNaught APIs.

## Assumptions

This tutorial assumes that you have a CNaught account. If not, [sign up for a free account](https://app.cnaught.com/api/auth/signup).

## Steps

**1. Get your API Key**

The first step is to generate an API key, which will allow you access to the CNaught APIs. Follow these steps:

1. [Log in](https://app.cnaught.com/api/auth/login) to CNaught.
2. Navigate to the [Developers](https://app.cnaught.com/developers) page in your new test organization.
3. Click the **Set up API** to create a production key (which will require you to set up a payment method).

   ![Creating an api key](https://mintcdn.com/cnaught/d3QpLN1QkO5DwwL2/images/create-api-key.png?fit=max\&auto=format\&n=d3QpLN1QkO5DwwL2\&q=85\&s=ba65914c4ca256d162e3983f2de29eab)

> [!WARNING]
>
> Save your API key somewhere safe; you will only be able to see it once. You can rotate your API key to a new one; the old one will remain valid for 24 hours.

**2. Place an order**

Submit a credits order. Replace the `<CNAUGHT_API_KEY>` placeholder with the API key obtained in Step 1, and specify the amount of carbon credits (in kg of CO<sub>2</sub>e) you wish to purchase.

```bash theme={null}
curl -X POST "https://api.cnaught.com/v1/orders" \
    -H "Authorization: Bearer <CNAUGHT_API_KEY>" \
    -H "Content-Type: application/json" \
    -d '{"amount_kg": 10, \"metadata\": \"This is a test\"}'
```

You'll receive a response like this:

```bash theme={null}
{
  "id": "Umx5c6F7pH7r",
  "created_on": "2021-09-15T05:14:38.13",
  "metadata": "This is a test",
  "amount": 10
}
```

The `id` (in this case `Umx5c6F7pH7r`) will allow you to retrieve your order.

## Next

You should now have a basic idea of how to use the CNaught APIs. To learn more, read [the API documentation](https://cnaught.mintlify.site/api-reference/introduction.md) for complete details on the API and its features.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.